#
# spec file for package xprehashprinterlist
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xprehashprinterlist
Version:        1.0.1
Release:        14.1
License:        MIT
Summary:        Utility to recompute list of available printers
Url:            http://xorg.freedesktop.org/
Group:          System/X11/Utilities
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xp)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xprehashprinterlist causes all Xprint servers to recompute (update)
their lists of available printers, and update the attributes for the
printers. The intended usage of this tool is that a system
administrator can run it after changing the printer topology.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xprehashprinterlist
%{_mandir}/man1/xprehashprinterlist.1x%{?ext_man}

%changelog
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xprehashprinterlist from xorg-x11. Initial version: X11R7.0-1.0.1.
